CREATE TABLE ffs_utype_ctx_action_link (
    CONTEXT_ID_FROM      NUMBER(5, 0) ,
    CONTEXT_ID_TO        NUMBER(5, 0) ,
    ACTION_LINK_ID       NUMBER(10, 0),
    SIDE_FROM            VARCHAR2(40) ,
    SIDE_TO              VARCHAR2(40) ,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    CONTEXT_ID_FROM      NUMBER(5, 0) ,
    CONTEXT_ID_TO        NUMBER(5, 0) ,
    ACTION_LINK_ID       NUMBER(10, 0),
    SIDE_FROM            VARCHAR2(40) ,
    SIDE_TO              VARCHAR2(40) ,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    CONSTRAINT pk_ffs_utype_ctx_action_link PRIMARY KEY (CONTEXT_ID_FROM, CONTEXT_ID_TO, CONTEXT_ID_FROM, CONTEXT_ID_TO)
);
